using Salad.Cloud.SDK;
using Salad.Cloud.SDK.Config;
var config = new SaladCloudSdkConfig{};
var client = new SaladCloudSdkClient(config);
var response = await client.Queues.GetQueueJobAsync("acme-corp", "dev-env", "fifo-queue", "7dcd6922-50e9-4d56-89b5-91cde26f0211");
Console.WriteLine(response);import com.salad.cloud.sdk.SaladCloudSdk;
import com.salad.cloud.sdk.config.ApiKeyAuthConfig;
import com.salad.cloud.sdk.config.SaladCloudSdkConfig;
import com.salad.cloud.sdk.models.QueueJob;
public class Main {
public static void main(String[] args) {
SaladCloudSdkConfig config = SaladCloudSdkConfig.builder()
.apiKeyAuthConfig(ApiKeyAuthConfig.builder().apiKey("YOUR_API_KEY").build())
.build();
SaladCloudSdk saladCloudSdk = new SaladCloudSdk(config);
QueueJob response = saladCloudSdk.queues.getQueueJob(
"acme-corp",
"dev-env",
"fifo-queue",
"7dcd6922-50e9-4d56-89b5-91cde26f0211"
);
System.out.println(response);
}
}import (
"fmt"
"encoding/json"
"context"
"github.com/saladtechnologies/salad-cloud-sdk-go/pkg/saladcloudsdkconfig"
"github.com/saladtechnologies/salad-cloud-sdk-go/pkg/saladcloudsdk"
)
config := saladcloudsdkconfig.NewConfig()
config.SetApiKey("API_KEY")
client := saladcloudsdk.NewSaladCloudSdk(config)
response, err := client.Queues.GetQueueJob(context.Background(), "acme-corp", "dev-env", "fifo-queue", "7dcd6922-50e9-4d56-89b5-91cde26f0211")
if err != nil {
panic(err)
}
fmt.Println(response)import { SaladCloudSdk } from '@saladtechnologies-oss/salad-cloud-sdk';
(async () => {
const saladCloudSdk = new SaladCloudSdk({
apiKey: 'YOUR_API_KEY',
});
const { data } = await saladCloudSdk.queues.getQueueJob(
'acme-corp',
'dev-env',
'fifo-queue',
'7dcd6922-50e9-4d56-89b5-91cde26f0211',
);
console.log(data);
})();from salad_cloud_sdk import SaladCloudSdk
sdk = SaladCloudSdk(
api_key="YOUR_API_KEY",
api_key_header="YOUR_API_KEY_HEADER",
timeout=10000
)
result = sdk.queues.get_queue_job(
organization_name="acme-corp",
project_name="dev-env",
queue_name="fifo-queue",
queue_job_id="7dcd6922-50e9-4d56-89b5-91cde26f0211"
)
print(result)curl --request GET \
--url https://api.salad.com/api/public/organizations/{organization_name}/projects/{project_name}/queues/{queue_name}/jobs/{queue_job_id} \
--header 'Salad-Api-Key: <api-key>'const options = {method: 'GET', headers: {'Salad-Api-Key': '<api-key>'}};
fetch('https://api.salad.com/api/public/organizations/{organization_name}/projects/{project_name}/queues/{queue_name}/jobs/{queue_job_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"create_time": "2023-11-07T05:31:56Z",
"events": [
{
"action": "created",
"time": "2023-11-07T05:31:56Z"
}
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"input": "<unknown>",
"status": "pending",
"update_time": "2023-11-07T05:31:56Z",
"metadata": {},
"output": "<unknown>",
"webhook": "<string>"
}{
"detail": "The container group could not be found.",
"instance": "https://example.com/error-instances/12345",
"status": 404,
"title": "Not Found",
"type": "https://example.com/errors/invalid-request"
}{
"detail": "The container group could not be found.",
"instance": "https://example.com/error-instances/12345",
"status": 404,
"title": "Not Found",
"type": "https://example.com/errors/invalid-request"
}{
"detail": "The container group could not be found.",
"instance": "https://example.com/error-instances/12345",
"status": 404,
"title": "Not Found",
"type": "https://example.com/errors/invalid-request"
}Get Job
Gets a job in a queue
using Salad.Cloud.SDK;
using Salad.Cloud.SDK.Config;
var config = new SaladCloudSdkConfig{};
var client = new SaladCloudSdkClient(config);
var response = await client.Queues.GetQueueJobAsync("acme-corp", "dev-env", "fifo-queue", "7dcd6922-50e9-4d56-89b5-91cde26f0211");
Console.WriteLine(response);import com.salad.cloud.sdk.SaladCloudSdk;
import com.salad.cloud.sdk.config.ApiKeyAuthConfig;
import com.salad.cloud.sdk.config.SaladCloudSdkConfig;
import com.salad.cloud.sdk.models.QueueJob;
public class Main {
public static void main(String[] args) {
SaladCloudSdkConfig config = SaladCloudSdkConfig.builder()
.apiKeyAuthConfig(ApiKeyAuthConfig.builder().apiKey("YOUR_API_KEY").build())
.build();
SaladCloudSdk saladCloudSdk = new SaladCloudSdk(config);
QueueJob response = saladCloudSdk.queues.getQueueJob(
"acme-corp",
"dev-env",
"fifo-queue",
"7dcd6922-50e9-4d56-89b5-91cde26f0211"
);
System.out.println(response);
}
}import (
"fmt"
"encoding/json"
"context"
"github.com/saladtechnologies/salad-cloud-sdk-go/pkg/saladcloudsdkconfig"
"github.com/saladtechnologies/salad-cloud-sdk-go/pkg/saladcloudsdk"
)
config := saladcloudsdkconfig.NewConfig()
config.SetApiKey("API_KEY")
client := saladcloudsdk.NewSaladCloudSdk(config)
response, err := client.Queues.GetQueueJob(context.Background(), "acme-corp", "dev-env", "fifo-queue", "7dcd6922-50e9-4d56-89b5-91cde26f0211")
if err != nil {
panic(err)
}
fmt.Println(response)import { SaladCloudSdk } from '@saladtechnologies-oss/salad-cloud-sdk';
(async () => {
const saladCloudSdk = new SaladCloudSdk({
apiKey: 'YOUR_API_KEY',
});
const { data } = await saladCloudSdk.queues.getQueueJob(
'acme-corp',
'dev-env',
'fifo-queue',
'7dcd6922-50e9-4d56-89b5-91cde26f0211',
);
console.log(data);
})();from salad_cloud_sdk import SaladCloudSdk
sdk = SaladCloudSdk(
api_key="YOUR_API_KEY",
api_key_header="YOUR_API_KEY_HEADER",
timeout=10000
)
result = sdk.queues.get_queue_job(
organization_name="acme-corp",
project_name="dev-env",
queue_name="fifo-queue",
queue_job_id="7dcd6922-50e9-4d56-89b5-91cde26f0211"
)
print(result)Authorizations
Path Parameters
Your organization name. This identifies the billing context for the API operation and represents a security boundary for SaladCloud resources. The organization must be created before using the API, and you must be a member of the organization. The organization name.
2 - 63^[a-z][a-z0-9-]{0,61}[a-z0-9]$"acme-corp"
Your project name. This represents a collection of related SaladCloud resources. The project must be created before using the API. The project name.
2 - 63^[a-z][a-z0-9-]{0,61}[a-z0-9]$"dev-env"
The queue name.
2 - 63^[a-z][a-z0-9-]{0,61}[a-z0-9]$"fifo-queue"
The job identifier. This is automatically generated and assigned when the job is created.
"7dcd6922-50e9-4d56-89b5-91cde26f0211"
Response
OK
Represents a queue job
The job creation time
The job events
1000Show child attributes
Show child attributes
The job identifier
The job input. May be any valid JSON.
The job status
pending, running, succeeded, cancelled, failed The job update time
Additional metadata for the job
The job output. May be any valid JSON.
The webhook URL to notify when the job completes
20 - 27^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}(\\.\\d+)?(Z|[+-]\\d{2}:\\d{2})$Was this page helpful?